Skip to main content
GET
/
api
/
agents
/
{agent_id}
/
conversations
List Agent Conversations
curl --request GET \
  --url https://api-in.getello.ai/api/agents/{agent_id}/conversations \
  --header 'X-API-Key: <api-key>'
{
  "status": 200,
  "message": "Assistant conversations retrieved successfully",
  "data": {
    "conversations": [
      {
        "id": "6900be1d39f3fd5dd4e503d4",
        "conversation_id": "6900b87ca70928b1224f0619",
        "assistant_id": "68dce5202fc07b92042493b1",
        "to_number": "+15550123",
        "from_number": "+15550999",
        "created_at": "2025-10-28T12:35:17.423000Z",
        "status": "disconnected"
      }
    ],
    "assistant_name": "My Agent",
    "total_count": 42,
    "page": 1,
    "limit": 10
  },
  "pagination": {
    "page": 1,
    "limit": 10,
    "total": 42,
    "totalPages": 5,
    "hasNextPage": true,
    "hasPrevPage": false
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs-in.getello.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-Key
string
header
required

Path Parameters

agent_id
string
required

Unique identifier of the agent.

Example:

"68dce5202fc07b92042493b1"

Query Parameters

page
integer
default:1

Page number for pagination.

Required range: x >= 1
Example:

1

limit
integer
default:10

Number of conversations per page.

Required range: 1 <= x <= 100
Example:

10

Response

Assistant conversations retrieved successfully

status
integer
Example:

200

message
string
Example:

"Assistant conversations retrieved successfully"

data
object
pagination
object

Gateway pagination wrapper (may be inaccurate unless upstream provides pagination fields).